Bug 1118691 - war web content key and version are not detected correctly
Summary: war web content key and version are not detected correctly
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: JON 3.3.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 09:14 UTC by Armine Hovsepyan
Modified: 2015-09-03 00:03 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-22 13:26:29 UTC
Type: Bug


Attachments (Terms of Use)
war-web-version (208.08 KB, image/png)
2014-07-11 09:14 UTC, Armine Hovsepyan
no flags Details
war-version-fixed (191.48 KB, image/png)
2014-07-22 08:22 UTC, Armine Hovsepyan
no flags Details

Description Armine Hovsepyan 2014-07-11 09:14:49 UTC
Created attachment 917285 [details]
war-web-version

Description of problem:
war web content key and version are  not detected correctly

Version-Release number of selected component (if applicable):
rhq 4.12 master

How reproducible:
always


Steps to Reproduce:
1. install eap6 in standalone mode and inventory to server gui
2. deploy  helloworld.war to eap6
3. navigate to hellowrold.war -> web

Actual results:
version of web is None, while key has version in it

Expected results:
key should not include version
correct version should be visible in corresponding version area


Additional info:
screen-shot attached

Comment 1 Jay Shaughnessy 2014-07-21 20:37:33 UTC
I think this was the blocker bug Armine found just prior to 4.12 release. It is fixed and I think this can be closed.  Asking Armine...

Comment 2 Armine Hovsepyan 2014-07-22 08:22:58 UTC
Created attachment 919828 [details]
war-version-fixed

Comment 3 Armine Hovsepyan 2014-07-22 08:23:41 UTC
the issues is fixed in 4.12 - marking bz as verified
please feel free to close it as current release


Note You need to log in before you can comment on or make changes to this bug.